# glm::gtx::matrix_projection Namespace Reference

GLM_GTX_matrix_projection: Varius ways to build and operate on projection matrices. More...

## Functions
template<typename T >
detail::tmat4x4< T > | infinitePerspective (T fovy, T aspect, T zNear)
| Creates a matrix for a symmetric perspective-view frustum with far plane at infinite .
template<typename valType >
detail::tmat4x4< valType > | perspectiveFov (valType const &fov, valType const &width, valType const &height, valType const &zNear, valType const &zFar)
| Builds a perspective projection matrix based on a field of view From GLM_GTX_matrix_projection extension.
template<typename T >
detail::tmat4x4< T > | tweakedInfinitePerspective (T fovy, T aspect, T zNear)
| Creates a matrix for a symmetric perspective-view frustum with far plane at infinite for graphics hardware that doesn't support depth clamping.

## Detailed Description

GLM_GTX_matrix_projection: Varius ways to build and operate on projection matrices.

## Function Documentation

detail::tmat4x4<T> glm::gtx::matrix_projection::infinitePerspective | ( | T | fovy,
|  | T | aspect,
|  | T | zNear |
| ) |  |  |

Creates a matrix for a symmetric perspective-view frustum with far plane at infinite .

From GLM_GTX_matrix_projection extension.

detail::tmat4x4<valType> glm::gtx::matrix_projection::perspectiveFov | ( | valType const & | fov,
|  | valType const & | width,
|  | valType const & | height,
|  | valType const & | zNear,
|  | valType const & | zFar |
| ) |  |  |

Builds a perspective projection matrix based on a field of view From GLM_GTX_matrix_projection extension.

detail::tmat4x4<T> glm::gtx::matrix_projection::tweakedInfinitePerspective | ( | T | fovy,
|  | T | aspect,
|  | T | zNear |
| ) |  |  |

Creates a matrix for a symmetric perspective-view frustum with far plane at infinite for graphics hardware that doesn't support depth clamping.

From GLM_GTX_matrix_projection extension.